Create a cabinet batch

POST
/api/v1/client/batches
AuthorizationBearer <token>

In: header

Header Parameters

Idempotency-Key?string

Optional. When omitted, the server generates a unique internal key for this submission.

Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/client/batches" \  -H "Content-Type: application/json" \  -d '{    "jobs": [      {        "url": "http://example.com"      }    ]  }'
{  "batch_id": "4da22c97-b7d5-4e31-8c3a-03870ebc7b20",  "status": "pending",  "jobs": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "url": "http://example.com",      "status": "pending",      "cached": true,      "protected": true,      "pricing_version": 1,      "route_mode": "direct",      "base_tokens": 0,      "protected_tokens": 0,      "captcha_tokens": 0,      "created_at": "2019-08-24T14:15:22Z"    }  ],  "charged_tokens": 0,  "pricing_version": 1,  "route_mode": "direct",  "idempotent_replay": true}